Page 1 of 8

Can't update Firmware

Posted: 28 Nov 2016 17:51
by TomasF
Hi,

When I am trying to update the Firmware using expert->Network->Controller Info->Firmware Update I get the following error:

Could not retrieve data from remote server.

I'm using software 2.2.5 and current firmware (I think) is 5.00 (never updated it before). Denoted as "Serial API" version on the Controller Info page.

Any one else having this problem? Is it temporary...

Perhaps there is no need to update the firmware but I have some strange problems using my new zwave devices. So I just would like to see if things gets better...

Any help is appreciated.

Re: Can't update Firmware

Posted: 28 Nov 2016 21:43
by pz1
Overview of Firmware releases:
http://razberry.zwave.me/index.php?id=32

Re: Can't update Firmware

Posted: 28 Nov 2016 22:41
by TomasF
Yes, I have seen the overview. But, is the instruction (IP:8083/expert/#/uzb ) for updating the firmware working? Anyone?

Re: Can't update Firmware

Posted: 29 Nov 2016 13:32
by pz1
I have had similar problems a long time ago. At that time I had to upgrade the bootloader first.
Though they don't always seem to answer, I still would advise you in this case to ask for help at:
support@z-wave.me.
Give them a bit more detail like which type controller you have UZB or RaZberry and where and when you bought it.
Hope that will work for you

Re: Can't update Firmware

Posted: 29 Nov 2016 22:34
by TomasF
May I ask how you upgraded the bootloader?

Re: Can't update Firmware

Posted: 30 Nov 2016 10:52
by pz1
There is an option next to the place where you can update firmware. At the moment in my rig there is a rather frightening message to it that it can brick your device. That is why I referred you to support!

Re: Can't update Firmware

Posted: 02 Dec 2016 18:59
by TomasF
I finally managed to update first the bootloader then the firmware in two steps. This is how I did it:
1: Fresh start with the razberry-2.2.2-rpi3.img. (from here http://razberry.z-wave.me/z-way-server/)
2: Some messing around trying to login. Unclear why I finally managed...
3: Cleaned my browser cache to get the web interface to work.
4: Expertmode->Network->Cardinfo->Firmware update
voila: Now I could update both the bootloader and the firmware to 5.04.
5: Restart using (Management->Firmware update -> update to latest->Advanced -> System->Reboot
6: Expertmode->Network->Cardinfo->Firmware update button no longer exist but
http://IP:8083/expert/#/uzb did
7: Boot loader ugrade to 8aaa and firmware to 5.16
However, I still read version 5.04 from the control info.
8: Update to version 2.2.5 and Power off cycle.
9: Update using http://IP:8083/expert/#/uzb (first bootloader then firmware)
10: Power cycle, now controller info shows 5.16.
11: Switched back to my original Rasbian distro. The network is still there.
(phuu...)

Now, I will evaluate the new firmware to see if my devices works better. The issue is that they do not relay to eachother. Or at lest I do not think they do...

Re: Can't update Firmware

Posted: 04 Dec 2016 16:37
by Torulf
After a year or so om Domoticz i thought that i should try Z-wave.me again. When trying to update firmware i get noware. Is this a temporary thing or is it not working in general?

Edit:

on v2.2.5

Library Type: Static Controller
SDK Version: 6.51.06
Serial API Version: 05.04

Re: Can't update Firmware

Posted: 04 Dec 2016 18:48
by diemue
Same problem with 2.2.5. If i downgrade to 2.2.3 i can see a button for bootloader and for firmware upgrade.
i can choose both buttons and get an upgrade notification. But version isnĀ“t changed.

Re: Can't update Firmware

Posted: 04 Dec 2016 22:16
by Torulf
In general i did almost as "TomasF" above.

Installed a new image 2.1.2....after that i managed to update bootloader and firmware with a power cycle in between but it still showed old firmware. After i upgraded to 2.2.5 i was able to upgrade firmware and after power cycle upgrade firmware. After a power cycle it shows 5.16.

Edit1:
Library Type: Static Controller
SDK Version: 6.70.01
Serial API Version: 05.16

Edit2:
Do anyone know what was implemented between 5.06 and 5.16?
http://razberry.zwave.me/index.php?id=32